#ifndef PACKET_HANDLE_HOST_TEST_H
#define PACKET_HANDLE_HOST_TEST_H

/*!
  \file
  \brief packetHandleHost.cpp のテスト
  
  \author Satofumi KAMIMURA
  
  $Id: PacketHandleHostTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include "tRunCtrlSimulator.h"
#include "mRunCtrl.h"
#include "vmonitor.h"
#include <cppunit/extensions/HelperMacros.h>

/*!
  \brief パケット送受信時の動作テスト
*/
class PacketHandleHostTest : public CppUnit::TestFixture {
  mRunCtrl* host;

  CPPUNIT_TEST_SUITE(PacketHandleHostTest);
  CPPUNIT_TEST(readTest);
  CPPUNIT_TEST(writeTest);
  CPPUNIT_TEST(readTest);
  CPPUNIT_TEST(readErrorTest);
  CPPUNIT_TEST(writeErrorTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp(void);
  void tearDown(void);
  void rawRead(void);
  void readTest(void);
  void writeTest(void);
  void writeErrorTest(void);
  void readErrorTest(void);
};

#endif /* !PACKET_HANDLE_HOST_TEST_H */
